Package Details: pgcli 3.0.0-2

Git Clone URL: https://aur.archlinux.org/pgcli.git (read-only, click to copy)
Package Base: pgcli
Description: a command line interface for Postgres with auto-completion and syntax highlighting
Upstream URL: http://pgcli.com/
Keywords: dbcli postgres
Licenses: BSD
Conflicts: pgcli-git
Provides: pgcli
Submitter: fzerorubigd
Maintainer: tomi77
Last Packager: tomi77
Votes: 42
Popularity: 0.67
First Submitted: 2016-03-16 16:15
Last Updated: 2020-10-29 17:11

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Quatro commented on 2019-04-08 14:11

I think it's broken with today's update, since it requires cli_helpers[styles]>=1.2.0, but the latest on AUR is 1.1.0.

https://aur.archlinux.org/packages/python-cli_helpers/

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cli-helpers 1.1.0 (/usr/lib/python3.7/site-packages), Requirement.parse('cli_helpers[styles]>=1.2.0'), {'pgcli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'cli_helpers[styles]>=1.2.0' distribution was not found and is required by pgcli

asm0dey commented on 2019-02-15 18:15

@Sherlock-Holo during which step do you see this message?

Sherlock-Holo commented on 2019-02-15 13:29

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 11, in <module>
    load_entry_point('pgcli==2.0.2', 'console_scripts', 'pgcli')()
  File "/usr/lib/python3.7/site-packages/click/core.py", line 764, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/click/core.py", line 717, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python3.7/site-packages/click/core.py", line 956, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python3.7/site-packages/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pgcli/main.py", line 994, in cli
    os.makedirs(config_dir)
  File "/usr/lib/python3.7/os.py", line 211, in makedirs
    makedirs(head, exist_ok=exist_ok)
  File "/usr/lib/python3.7/os.py", line 221, in makedirs
    mkdir(name, mode)
PermissionError: [Errno 13] Permission denied: '/var/lib/postgres/.config'

how to fix it?

asm0dey commented on 2019-01-04 19:36

Freakin python, I hoped it will fail build. I've filed an issue to python-pgspecial maintainer, until update it won't be possible to install this version of pgcli correctly. Sorry for that.

rodweb commented on 2019-01-04 19:28

pgspecial dependency need to be updated?

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3126, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3110, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 784, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pgspecial>=1.11.5' distribution was not found and is required by pgcli

Markus00000 commented on 2018-12-02 07:28

@asm0dey Awesome! Special thanks for letting me know.

asm0dey commented on 2018-12-02 06:39

@Markus00000 I've updated my package to provide python-prompt_toolkit, not python-prompt_toolkit-2, now you should be able to select what you need

Markus00000 commented on 2018-11-20 07:27

@asm0dey It is now 2.0.7:

https://www.archlinux.org/packages/community/any/python-prompt_toolkit/

asm0dey commented on 2018-11-19 14:54

@blueyed for me it looks like community/python-prompt_toolkit 1.0.15-2. For you?

blueyed commented on 2018-11-19 12:54

community/python-prompt_toolkit has been updated to 2.0.7-1, so python-prompt_toolkit-2 should not be needed anymore I guess?!